<?php
/*  Copyright 2011  MOHD HADIHAIZIL DIN  (email : eizil@eizil.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function ezwaktu_solat_install () {
    global $wpdb;

    $table_waktuSolat = $wpdb->prefix . "waktusolat2";
    $table_kodKawasan = $wpdb->prefix . "waktusolatkod2";

    if($wpdb->get_var("show tables like '$table_waktuSolat'") != $table_waktuSolat) {
          
        $sql = "CREATE TABLE " . $table_waktuSolat . " (
              `Kod` varchar(255) NOT NULL,
              `Tarikh` varchar(50) NOT NULL,
              `Hari` varchar(10) NOT NULL,
              `Imsak` varchar(20) NOT NULL,
              `Subuh` varchar(20) NOT NULL,
              `Syuruk` varchar(20) NOT NULL,
              `Zuhur` varchar(20) NOT NULL,
              `Asar` varchar(20) NOT NULL,
              `Maghrib` varchar(20) NOT NULL,
              `Isyak` varchar(20) NOT NULL
            );";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);

        $senaraiData = ezws_waktu_solat();

        foreach ($senaraiData as $data) {           
            $rows_affected[] = $wpdb->insert( $table_waktuSolat, $data );
        }
     
        add_option("ez_waktu_solat_db_version", "1.1");

    }

    if($wpdb->get_var("show tables like '$table_kodKawasan'") != $table_kodKawasan) {
          
        $sql = "CREATE TABLE " . $table_kodKawasan . " (
            Kod varchar(10) NOT NULL,
            Nama varchar(150) NOT NULL
            );";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);

        $kodKawasan = ezws_waktu_solat_kod();

        foreach ($kodKawasan as $kaw) {           
            $rows_affected[] = $wpdb->insert( $table_kodKawasan, $kaw );
        }
     
        add_option("ez_waktu_solat_kod_db_version", "1.1");

    }

}

function ezws_waktu_solat_db_check() {
    global $wpdb;

    $table_waktuSolat = $wpdb->prefix . "waktusolat2";

    if (get_option('ez_waktu_solat_db_version') == "1.0") {
        $additional = array(
            array("Kod" => "KDH06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:33" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:33" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:34" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:20", "Isyak" => "Isyak-20:34" ), 
            array("Kod" => "KDH06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-5:60","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:20", "Isyak" => "Isyak-20:35" )
            );
        foreach ($additional as $data) {           
            $rows_affected[] = $wpdb->insert( $table_waktuSolat, $data );
        }    

        update_option( "ez_waktu_solat_db_version", "1.1" );

    }
}
add_action('plugins_loaded', 'ezws_waktu_solat_db_check');



function ezws_waktu_solat_kod () {
    $kodkawasan = array(
            array("Kod" => "JHR02 ", "Nama" => "Kota Tinggi, Mersing, Johor Bahru "), 
            array("Kod" => "JHR04 ", "Nama" => "Batu Pahat, Muar, Segamat, Gemas "), 
            array("Kod" => "JHR03 ", "Nama" => "Kluang dan Pontian "), 
            array("Kod" => "JHR01 ", "Nama" => "Pulau Aur dan Pemanggil "), 
            array("Kod" => "KDH06 ", "Nama" => "Puncak Gunung Jerai "), 
            array("Kod" => "KDH01 ", "Nama" => "Kota Setar, Kubang Pasu, Pokok Sena "), 
            array("Kod" => "KDH05 ", "Nama" => "Langkawi "), 
            array("Kod" => "KDH02 ", "Nama" => "Pendang, Kuala Muda, Yan "), 
            array("Kod" => "KDH03 ", "Nama" => "Padang Terap, Sik, Baling "), 
            array("Kod" => "KDH04 ", "Nama" => "Kulim, Bandar Baharu "), 
            array("Kod" => "KTN03 ", "Nama" => "Jeli, Gua Musang (Mukim Galas, Bertam) "), 
            array("Kod" => "KTN01 ", "Nama" => "K.Bharu,Bachok,Pasir Puteh,Tumpat,Pasir Mas,Tnh. Merah,Machang,Kuala Krai,Mukim Chiku "), 
            array("Kod" => "MLK01 ", "Nama" => "Bandar Melaka, Alor Gajah, Jasin, Masjid Tanah, Merlimau, Nyalas "), 
            array("Kod" => "NGS02 ", "Nama" => "Port Dickson, Seremban, Kuala Pilah, Jelebu, Rembau "), 
            array("Kod" => "NGS01 ", "Nama" => "Jempol, Tampin "), 
            array("Kod" => "PHG05 ", "Nama" => "Genting Sempah, Janda Baik, Bukit Tinggi "), 
            array("Kod" => "PHG04 ", "Nama" => "Bentong, Raub, Kuala Lipis "), 
            array("Kod" => "PHG03 ", "Nama" => "Maran, Chenor, Temerloh, Bera, Jerantut "), 
            array("Kod" => "PHG06 ", "Nama" => "Bukit Fraser, Genting Higlands, Cameron Higlands "), 
            array("Kod" => "PHG02 ", "Nama" => "Kuantan, Pekan, Rompin, Muadzam Shah "), 
            array("Kod" => "PHG01 ", "Nama" => "Pulau Tioman "), 
            array("Kod" => "PRK07 ", "Nama" => "Bukit Larut "), 
            array("Kod" => "PRK02 ", "Nama" => "Ipoh, Batu Gajah, Kampar, Sg. Siput dan Kuala Kangsar "), 
            array("Kod" => "PRK01 ", "Nama" => "Tapah,Slim River dan Tanjung Malim "), 
            array("Kod" => "PRK03 ", "Nama" => "Pengkalan Hulu, Grik dan Lenggong "), 
            array("Kod" => "PRK04 ", "Nama" => "Temengor dan Belum "), 
            array("Kod" => "PRK05 ", "Nama" => "Teluk Intan, Bagan Datoh, Kg.Gajah,Sri Iskandar, Beruas,Parit,Lumut,Setiawan dan Pulau Pangkor "), 
            array("Kod" => "PRK06 ", "Nama" => "Selama, Taiping, Bagan Serai dan Parit Buntar "), 
            array("Kod" => "PLS01 ", "Nama" => "Kangar, Padang Besar, Arau "), 
            array("Kod" => "PNG01 ", "Nama" => "Seluruh Negeri Pulau Pinang "), 
            array("Kod" => "SBH09 ", "Nama" => "Zon 9 - Sipitang, Membakut, Beaufort, Kuala Penyu, Weston, Tenom, Long Pa Sia "), 
            array("Kod" => "SBH08 ", "Nama" => "Zon 8 - Pensiangan, Keningau, Tambunan, Nabawan "), 
            array("Kod" => "SBH07 ", "Nama" => "Zon 7 - Papar, Ranau, Kota Belud, Tuaran, Penampang, Kota Kinabalu "), 
            array("Kod" => "SBH06 ", "Nama" => "Zon 6 - Gunung Kinabalu "), 
            array("Kod" => "SBH05 ", "Nama" => "Zon 5 - Kudat, Kota Marudu, Pitas, Pulau Banggi "), 
            array("Kod" => "SBH03 ", "Nama" => "Zon 3 - Lahad Datu, Kunak, Silabukan, Tungku, Sahabat, Semporna "), 
            array("Kod" => "SBH02 ", "Nama" => "Zon 2 - Pinangah, Terusan, Beluran, Kuamut, Telupit "), 
            array("Kod" => "SBH01 ", "Nama" => "Zon 1 - Sandakan, Bdr. Bkt. Garam, Semawang, Temanggong, Tambisan "), 
            array("Kod" => "SBH04 ", "Nama" => "Zon 4 - Tawau, Balong, Merotai, Kalabakan "), 
            array("Kod" => "SWK01 ", "Nama" => "Zon 1 - Limbang, Sundar, Terusan, Lawas "), 
            array("Kod" => "SWK08 ", "Nama" => "Zon 8 - Kuching, Bau, Lundu,Sematan "), 
            array("Kod" => "SWK07 ", "Nama" => "Zon 7 - Samarahan, Simunjan, Serian, Sebuyau, Meludam "), 
            array("Kod" => "SWK06 ", "Nama" => "Zon 6 - Kabong, Lingga, Sri Aman, Engkelili, Betong, Spaoh, Pusa, Saratok, Roban, Debak "), 
            array("Kod" => "SWK05 ", "Nama" => "Zon 5 - Belawai, Matu, Daro, Sarikei, Julau, Bitangor, Rajang "), 
            array("Kod" => "SWK04 ", "Nama" => "Zon 4 - Igan, Kanowit, Sibu, Dalat, Oya "), 
            array("Kod" => "SWK03 ", "Nama" => "Zon 3 - Song, Belingan, Sebauh, Bintulu, Tatau, Kapit "), 
            array("Kod" => "SWK02 ", "Nama" => "Zon 2 - Niah, Belaga, Sibuti, Miri, Bekenu, Marudi "), 
            array("Kod" => "SGR01 ", "Nama" => "Gombak,H.Selangor,Rawang,H.Langat,Sepang,Petaling,S.Alam "), 
            array("Kod" => "SGR02 ", "Nama" => "Sabak Bernam, Kuala Selangor, Klang, Kuala Langat "), 
            array("Kod" => "SGR03 ", "Nama" => "Kuala Lumpur "), 
            array("Kod" => "SGR04 ", "Nama" => "Putrajaya "), 
            array("Kod" => "TRG01 ", "Nama" => "Kuala Terengganu, Marang "), 
            array("Kod" => "TRG04 ", "Nama" => "Kemaman Dungun "), 
            array("Kod" => "TRG03 ", "Nama" => "Hulu Terengganu "), 
            array("Kod" => "TRG02 ", "Nama" => "Besut, Setiu "), 
            array("Kod" => "WLY02 ", "Nama" => "Labuan ")
        );
    return $kodkawasan;
}

function ezws_waktu_solat () {
    $waktuSolat = array(
    array("Kod" => "SGR01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "SGR01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "SGR02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "SGR02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "SGR02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "SGR02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "SGR02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
    array("Kod" => "SGR03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "SGR04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "SGR04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "SGR04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "SGR04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-1:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "SGR04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "SGR04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "SGR04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "SGR04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-" ), 
    array("Kod" => "SGR04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "SGR04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "SGR04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "SGR04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "SGR04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "SGR04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "SGR04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "SGR04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "SGR04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "SGR04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "SGR04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "SGR04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "SGR04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "SGR04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "SGR04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "JHR01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:44","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:44","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:48","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "JHR01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:45","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "JHR01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:16","Subuh" => "Subuh-05:26","Syuruk" => "Syuruk-06:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:47", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "JHR01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "JHR01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:17","Subuh" => "Subuh-05:27","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "JHR02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:47","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:18","Subuh" => "Subuh-05:28","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "JHR03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "JHR03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:19","Subuh" => "Subuh-05:29","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:20","Subuh" => "Subuh-05:30","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:21","Subuh" => "Subuh-05:31","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:22","Subuh" => "Subuh-05:32","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "JHR03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "JHR03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "JHR04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "JHR04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:51","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "JHR04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "JHR04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:23","Subuh" => "Subuh-05:33","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "JHR04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "JHR04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:24","Subuh" => "Subuh-05:34","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "JHR04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "JHR04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:25","Subuh" => "Subuh-05:35","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "JHR04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "JHR04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "JHR04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "JHR04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "JHR04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "JHR04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "JHR04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "JHR04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "JHR04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "JHR04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "JHR04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "JHR04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "JHR04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "JHR04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "JHR04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "JHR04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "JHR04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "JHR04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:54","Subuh" => "Subuh-06:04","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:54","Subuh" => "Subuh-06:04","Syuruk" => "Syuruk-07:25","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:55","Subuh" => "Subuh-06:05","Syuruk" => "Syuruk-07:25","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:55","Subuh" => "Subuh-06:05","Syuruk" => "Syuruk-07:26","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:56","Subuh" => "Subuh-06:06","Syuruk" => "Syuruk-07:26","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:56","Subuh" => "Subuh-06:06","Syuruk" => "Syuruk-07:26","Zuhur" => "Zuhur-13:24","Asar" => "Asar-16:45", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:54","Subuh" => "Subuh-06:04","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:54","Subuh" => "Subuh-06:04","Syuruk" => "Syuruk-07:25","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:55","Subuh" => "Subuh-06:05","Syuruk" => "Syuruk-07:25","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:55","Subuh" => "Subuh-06:05","Syuruk" => "Syuruk-07:26","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "KDH03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KDH03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KDH04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KDH04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-06:59","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "KDH04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:54","Subuh" => "Subuh-06:04","Syuruk" => "Syuruk-07:25","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "KDH05", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH05", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH05", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH05", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH05", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH05", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH05", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH05", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH05", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH05", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH05", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KDH05", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KDH05", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KDH05", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KDH05", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KDH05", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KDH05", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH05", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KDH05", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH05", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KDH05", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH05", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH05", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KDH05", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH05", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KDH05", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH05", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-5:60","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "KDH05", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-5:60","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH05", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "KDH05", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH05", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "KDH05", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH05", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "KDH05", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH05", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "KDH05", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH05", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:55","Subuh" => "Subuh-6:05","Syuruk" => "Syuruk-7:26","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "KDH05", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:55","Subuh" => "Subuh-6:05","Syuruk" => "Syuruk-7:26","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH05", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:56","Subuh" => "Subuh-6:06","Syuruk" => "Syuruk-7:27","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH05", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:56","Subuh" => "Subuh-6:06","Syuruk" => "Syuruk-7:27","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "KDH05", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:56","Subuh" => "Subuh-6:06","Syuruk" => "Syuruk-7:28","Zuhur" => "Zuhur-13:24","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH05", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:57","Subuh" => "Subuh-6:07","Syuruk" => "Syuruk-7:28","Zuhur" => "Zuhur-13:24","Asar" => "Asar-16:45", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "KDH05", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:57","Subuh" => "Subuh-6:07","Syuruk" => "Syuruk-7:29","Zuhur" => "Zuhur-13:25","Asar" => "Asar-16:45", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "KDH05", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:58","Subuh" => "Subuh-6:08","Syuruk" => "Syuruk-7:29","Zuhur" => "Zuhur-13:25","Asar" => "Asar-16:46", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "KDH05", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:58","Subuh" => "Subuh-6:08","Syuruk" => "Syuruk-7:30","Zuhur" => "Zuhur-13:25","Asar" => "Asar-16:46", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
    array("Kod" => "KDH05", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:59","Subuh" => "Subuh-6:09","Syuruk" => "Syuruk-7:30","Zuhur" => "Zuhur-13:26","Asar" => "Asar-16:47", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ),
    array("Kod" => "KDH06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:16" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:17" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:18" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:19" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:20" ), 
            array("Kod" => "KDH06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
            array("Kod" => "KDH06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
            array("Kod" => "KDH06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
            array("Kod" => "KDH06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
            array("Kod" => "KDH06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
            array("Kod" => "KDH06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
            array("Kod" => "KDH06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
            array("Kod" => "KDH06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
            array("Kod" => "KDH06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
            array("Kod" => "KDH06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
            array("Kod" => "KDH06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
            array("Kod" => "KDH06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
            array("Kod" => "KDH06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
            array("Kod" => "KDH06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
            array("Kod" => "KDH06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
            array("Kod" => "KDH06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
            array("Kod" => "KDH06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
            array("Kod" => "KDH06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
            array("Kod" => "KDH06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
            array("Kod" => "KDH06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:33" ), 
            array("Kod" => "KDH06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:33" ), 
            array("Kod" => "KDH06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:34" ), 
            array("Kod" => "KDH06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:20", "Isyak" => "Isyak-20:34" ), 
            array("Kod" => "KDH06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-5:60","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:20", "Isyak" => "Isyak-20:35" ), 
    array("Kod" => "KTN01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "KTN01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "KTN01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "KTN01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KTN01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KTN01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KTN01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KTN01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KTN01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KTN01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KTN01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KTN01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KTN01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KTN01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KTN01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KTN01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KTN01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KTN01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KTN01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KTN03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KTN03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "KTN03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "KTN03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "KTN03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "KTN03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "KTN03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "KTN03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "KTN03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "KTN03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "KTN03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KTN03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "KTN03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KTN03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KTN03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "KTN03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KTN03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "KTN03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KTN03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "KTN03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KTN03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "KTN03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KTN03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "KTN03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KTN03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "KTN03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KTN03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "KTN03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KTN03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "KTN03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KTN03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "KTN03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KTN03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "KTN03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "MLK01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "MLK01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "MLK01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "MLK01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "MLK01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "MLK01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "MLK01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "MLK01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "MLK01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:26","Subuh" => "Subuh-05:36","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "MLK01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "MLK01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:27","Subuh" => "Subuh-05:37","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "MLK01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "MLK01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "MLK01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "MLK01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:28","Subuh" => "Subuh-05:38","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "MLK01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "MLK01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "MLK01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:29","Subuh" => "Subuh-05:39","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "MLK01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "MLK01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "MLK01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:30","Subuh" => "Subuh-05:40","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "MLK01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "MLK01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "MLK01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "MLK01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "MLK01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "MLK01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "MLK01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "MLK01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "MLK01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "MLK01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "MLK01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "MLK01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "MLK01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "MLK01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "MLK01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "MLK01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "MLK01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "MLK01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "MLK01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "MLK01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "MLK01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "MLK01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "MLK01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "MLK01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "MLK01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "MLK01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "NGS01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "NGS01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "NGS01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "NGS01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "NGS01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "NGS01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "NGS01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "NGS01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "NGS01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "NGS01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "NGS01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "NGS01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "NGS01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "NGS01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "NGS01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "NGS01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "NGS01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "NGS01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "NGS01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "NGS01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "NGS01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "NGS01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "NGS01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "NGS01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "NGS01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "NGS01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "NGS01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "NGS01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "NGS01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "NGS01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "NGS02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "NGS02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "NGS02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "NGS02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "NGS02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "NGS02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "NGS02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "NGS02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "NGS02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "NGS02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "NGS02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "NGS02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "NGS02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "NGS02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "NGS02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "NGS02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "NGS02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "NGS02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "NGS02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "NGS02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "NGS02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "NGS02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "NGS02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "NGS02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "NGS02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "NGS02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "NGS02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "NGS02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "NGS02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "NGS02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "NGS02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "NGS02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "NGS02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "NGS02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "NGS02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "NGS02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "NGS02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "NGS02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "NGS02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "NGS02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PHG01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:17","Subuh" => "Subuh-5:27","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:17","Subuh" => "Subuh-5:27","Syuruk" => "Syuruk-6:46","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "PHG01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:17","Subuh" => "Subuh-5:27","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:17","Subuh" => "Subuh-5:27","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:17","Subuh" => "Subuh-5:27","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:47","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "PHG01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:49","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:48", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "PHG01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:48","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:50","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:18","Subuh" => "Subuh-5:28","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "PHG01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:49","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:49", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:51","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "PHG01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:19","Subuh" => "Subuh-5:29","Syuruk" => "Syuruk-6:50","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:51","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:51","Zuhur" => "Zuhur-12:52","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:51","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:20","Subuh" => "Subuh-5:30","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:21","Subuh" => "Subuh-5:31","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:22","Subuh" => "Subuh-5:32","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "PHG02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:23","Subuh" => "Subuh-5:33","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "PHG02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:24","Subuh" => "Subuh-5:34","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "PHG03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "PHG04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PHG05", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG05", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG05", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG05", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG05", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG05", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:52","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG05", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG05", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG05", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG05", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG05", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG05", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG05", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG05", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG05", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG05", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG05", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG05", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG05", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG05", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG05", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG05", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG05", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG05", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG05", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG05", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG05", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG05", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG05", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG05", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG05", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG05", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG05", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG05", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG05", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG05", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG05", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG05", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG05", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG05", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG05", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG05", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG05", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PHG05", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PHG05", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PHG06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PHG06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PHG06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PHG06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PHG06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PHG06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PHG06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PHG06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PHG06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PHG06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PHG06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PHG06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PHG06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PHG06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PHG06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PHG06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PHG06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PHG06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PHG06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PHG06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PHG06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:19", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PHG06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:20", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:31","Subuh" => "Subuh-05:41","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:56","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:58", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-06:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:32","Subuh" => "Subuh-05:42","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "PRK04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "PRK04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK05", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK05", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK05", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK05", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK05", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK05", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK05", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK05", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK05", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK05", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK05", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK05", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK05", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK05", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK05", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK05", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK05", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK05", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK05", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK05", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK05", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK05", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK05", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK05", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK05", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK05", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK05", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK05", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK05", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK05", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK05", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK05", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK05", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK05", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK05", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK05", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK05", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
    array("Kod" => "PRK05", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:18", "Isyak" => "Isyak-20:32" ), 
    array("Kod" => "PRK06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:22","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:52","Subuh" => "Subuh-06:02","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:23","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:53","Subuh" => "Subuh-06:03","Syuruk" => "Syuruk-07:24","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PRK07", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK07", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK07", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK07", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK07", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK07", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:58","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "PRK07", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:33","Subuh" => "Subuh-05:43","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-06:59","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PRK07", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:00","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:34","Subuh" => "Subuh-05:44","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:01","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PRK07", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:35","Subuh" => "Subuh-05:45","Syuruk" => "Syuruk-07:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PRK07", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:36","Subuh" => "Subuh-05:46","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PRK07", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:04","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK07", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PRK07", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:37","Subuh" => "Subuh-05:47","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PRK07", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:38","Subuh" => "Subuh-05:48","Syuruk" => "Syuruk-07:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK07", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PRK07", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:39","Subuh" => "Subuh-05:49","Syuruk" => "Syuruk-07:07","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:08","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PRK07", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:40","Subuh" => "Subuh-05:50","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK07", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PRK07", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:41","Subuh" => "Subuh-05:51","Syuruk" => "Syuruk-07:09","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK07", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PRK07", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:10","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK07", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:42","Subuh" => "Subuh-05:52","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PRK07", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:11","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK07", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:43","Subuh" => "Subuh-05:53","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PRK07", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:12","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK07", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:44","Subuh" => "Subuh-05:54","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PRK07", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:13","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK07", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:45","Subuh" => "Subuh-05:55","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PRK07", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:14","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK07", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:46","Subuh" => "Subuh-05:56","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PRK07", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:15","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK07", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:47","Subuh" => "Subuh-05:57","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PRK07", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:16","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK07", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:48","Subuh" => "Subuh-05:58","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PRK07", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:17","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK07", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:49","Subuh" => "Subuh-05:59","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PRK07", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK07", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:50","Subuh" => "Subuh-06:00","Syuruk" => "Syuruk-07:18","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PRK07", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:19","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PRK07", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:51","Subuh" => "Subuh-06:01","Syuruk" => "Syuruk-07:20","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PLS01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PLS01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PLS01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PLS01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PLS01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PLS01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PLS01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PLS01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PLS01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PLS01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PLS01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "PLS01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PLS01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PLS01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PLS01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PLS01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PLS01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PLS01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PLS01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PLS01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PLS01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PLS01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PLS01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PLS01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PLS01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PLS01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PLS01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PLS01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PLS01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PLS01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PLS01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PLS01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PLS01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PLS01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PLS01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PLS01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PLS01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:26","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PLS01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:26","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PLS01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:27","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PLS01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:27","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PLS01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:55","Subuh" => "Subuh-6:05","Syuruk" => "Syuruk-7:28","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PLS01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:55","Subuh" => "Subuh-6:05","Syuruk" => "Syuruk-7:28","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PLS01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:56","Subuh" => "Subuh-6:06","Syuruk" => "Syuruk-7:28","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PLS01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:56","Subuh" => "Subuh-6:06","Syuruk" => "Syuruk-7:29","Zuhur" => "Zuhur-13:24","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PNG01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PNG01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PNG01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PNG01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PNG01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PNG01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PNG01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PNG01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PNG01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "PNG01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "PNG01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "PNG01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "PNG01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "PNG01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "PNG01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PNG01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PNG01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "PNG01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PNG01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "PNG01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PNG01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "PNG01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PNG01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "PNG01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PNG01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PNG01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "PNG01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PNG01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "PNG01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:37", "Maghrib" => "Maghrib-19:09", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PNG01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:47","Subuh" => "Subuh-5:57","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:16","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:24" ), 
    array("Kod" => "PNG01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:38", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PNG01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:48","Subuh" => "Subuh-5:58","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:17","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:10", "Isyak" => "Isyak-20:25" ), 
    array("Kod" => "PNG01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:19","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:39", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PNG01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:49","Subuh" => "Subuh-5:59","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:18","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:11", "Isyak" => "Isyak-20:26" ), 
    array("Kod" => "PNG01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:20","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:40", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PNG01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:50","Subuh" => "Subuh-6:00","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:19","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:12", "Isyak" => "Isyak-20:27" ), 
    array("Kod" => "PNG01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:21","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:41", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PNG01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:51","Subuh" => "Subuh-6:01","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:20","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:13", "Isyak" => "Isyak-20:28" ), 
    array("Kod" => "PNG01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:22","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:42", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PNG01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:52","Subuh" => "Subuh-6:02","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:21","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:14", "Isyak" => "Isyak-20:29" ), 
    array("Kod" => "PNG01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:23","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:43", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PNG01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:53","Subuh" => "Subuh-6:03","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:22","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:15", "Isyak" => "Isyak-20:30" ), 
    array("Kod" => "PNG01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:24","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:44", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PNG01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:54","Subuh" => "Subuh-6:04","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:23","Asar" => "Asar-16:45", "Maghrib" => "Maghrib-19:16", "Isyak" => "Isyak-20:31" ), 
    array("Kod" => "PNG01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:55","Subuh" => "Subuh-6:05","Syuruk" => "Syuruk-7:25","Zuhur" => "Zuhur-13:24","Asar" => "Asar-16:45", "Maghrib" => "Maghrib-19:17", "Isyak" => "Isyak-20:32" ), 
    array("Kod" => "SBH01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:10", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:11", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:51","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:23","Subuh" => "Subuh-4:33","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:00" ), 
    array("Kod" => "SBH03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:52","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:48", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:01" ), 
    array("Kod" => "SBH03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:24","Subuh" => "Subuh-4:34","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:53","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:02" ), 
    array("Kod" => "SBH03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:25","Subuh" => "Subuh-4:35","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:54","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:49", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:03" ), 
    array("Kod" => "SBH03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:50", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:51", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:12", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:13", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:14", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:15", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:16", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-11:55","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:26","Subuh" => "Subuh-4:36","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:17", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:56","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:27","Subuh" => "Subuh-4:37","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-11:57","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:28","Subuh" => "Subuh-4:38","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:29","Subuh" => "Subuh-4:39","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:30","Subuh" => "Subuh-4:40","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH05", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH05", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH05", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH05", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH05", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH05", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH05", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH05", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH05", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH05", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH05", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH05", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH05", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH05", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH05", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:58","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:04" ), 
    array("Kod" => "SBH05", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:05" ), 
    array("Kod" => "SBH05", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:52", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH05", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:53", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH05", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:54", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH05", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH05", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH05", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:55", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH05", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH05", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH05", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:56", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH05", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH05", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH05", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH05", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH05", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH05", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH05", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH05", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH05", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH05", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH05", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH05", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH05", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH05", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH05", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH05", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH05", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH05", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH05", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH05", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH05", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH05", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH05", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH05", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:18", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:31","Subuh" => "Subuh-4:41","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:52","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:53","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-11:59","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:06" ), 
    array("Kod" => "SBH06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-5:54","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:55","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:07" ), 
    array("Kod" => "SBH06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:56","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-5:57","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:58","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-5:59","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH07", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH07", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH07", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH07", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH07", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH07", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH07", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH07", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH07", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH07", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH07", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH07", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH07", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH07", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH07", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH07", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH07", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH07", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH07", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH07", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH07", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH07", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH07", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH07", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH07", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH07", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH07", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH07", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH07", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH07", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH07", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH07", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH07", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH07", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH07", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH07", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH07", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH07", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH07", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH07", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH07", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH07", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:52","Subuh" => "Subuh-5:02","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SBH08", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH08", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH08", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH08", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH08", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH08", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH08", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH08", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH08", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH08", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH08", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH08", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:19", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH08", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:20", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:00","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:00","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:01","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:08" ), 
    array("Kod" => "SBH08", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:32","Subuh" => "Subuh-4:42","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:01","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:09" ), 
    array("Kod" => "SBH08", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:33","Subuh" => "Subuh-4:43","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:02","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:10" ), 
    array("Kod" => "SBH08", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:57", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH08", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:58", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH08", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH08", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH08", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH08", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH08", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH08", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH08", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH08", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH08", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH08", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH08", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH08", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH08", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH08", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH08", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH08", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH08", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH08", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH08", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH08", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH08", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH08", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH08", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH08", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH08", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH08", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH08", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH08", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH08", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH08", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH08", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH08", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH08", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SBH09", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH09", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH09", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH09", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH09", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:21", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH09", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:02","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:34","Subuh" => "Subuh-4:44","Syuruk" => "Syuruk-6:03","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:03","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:11" ), 
    array("Kod" => "SBH09", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-17:59", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:35","Subuh" => "Subuh-4:45","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "SBH09", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "SBH09", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "SBH09", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "SBH09", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "SBH09", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH09", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "SBH09", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SBH09", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH09", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SBH09", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH09", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SBH09", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH09", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SBH09", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH09", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SBH09", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH09", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SBH09", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH09", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SBH09", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH09", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SBH09", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH09", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SBH09", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH09", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SBH09", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SBH09", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SBH09", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SBH09", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SBH09", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SBH09", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:52","Subuh" => "Subuh-5:02","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SBH09", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:52","Subuh" => "Subuh-5:02","Syuruk" => "Syuruk-6:25","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:07","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:08","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "SWK01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:40","Subuh" => "Subuh-04:50","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:09","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "SWK01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:41","Subuh" => "Subuh-04:51","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "SWK01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "SWK01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:42","Subuh" => "Subuh-04:52","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "SWK01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:10","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "SWK02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:11","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:43","Subuh" => "Subuh-04:53","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:12","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "SWK02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "SWK02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:44","Subuh" => "Subuh-04:54","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "SWK02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:45","Subuh" => "Subuh-04:55","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "SWK02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:13","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "SWK03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:14","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "SWK03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:17", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:46","Subuh" => "Subuh-04:56","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "SWK03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:18", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:47","Subuh" => "Subuh-04:57","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:19", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:20", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "SWK04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:15","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:32" ), 
    array("Kod" => "SWK04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:21", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:16","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:48","Subuh" => "Subuh-04:58","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:22", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK05", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK05", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK05", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK05", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:17","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:33" ), 
    array("Kod" => "SWK05", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:18","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:34" ), 
    array("Kod" => "SWK05", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:23", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK05", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:49","Subuh" => "Subuh-04:59","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK05", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK05", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK05", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK05", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK05", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK05", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK05", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK05", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK05", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK05", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK05", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK05", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK05", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK05", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK05", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK05", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK05", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK05", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK05", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK05", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK05", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK05", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK05", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK05", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK05", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK05", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK05", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK05", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK05", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK05", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK05", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK05", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK05", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK05", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK05", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK05", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK05", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK05", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK06", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK06", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK06", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:35" ), 
    array("Kod" => "SWK06", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:19","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:36" ), 
    array("Kod" => "SWK06", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:20","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:24", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:50","Subuh" => "Subuh-05:00","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK06", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:24","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:21","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:25", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK06", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:51","Subuh" => "Subuh-05:01","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK06", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK06", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK06", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK06", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK06", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK06", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK06", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK06", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK06", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK06", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK06", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK06", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK06", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK06", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK06", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK06", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK06", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK06", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK06", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK06", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK06", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK06", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK06", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK06", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:36","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK06", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK06", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK06", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK06", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK06", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK06", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK06", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK06", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK06", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK06", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK06", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK06", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK06", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:39","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:57" ), 
    array("Kod" => "SWK07", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK07", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK07", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:37" ), 
    array("Kod" => "SWK07", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:22","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:25","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:38" ), 
    array("Kod" => "SWK07", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:26", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK07", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:26","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:52","Subuh" => "Subuh-05:02","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:27", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK07", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK07", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK07", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK07", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:53","Subuh" => "Subuh-05:03","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK07", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK07", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK07", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK07", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:54","Subuh" => "Subuh-05:04","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK07", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK07", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK07", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK07", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK07", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK07", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05;06","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK07", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK07", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK07", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK07", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK07", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK07", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK07", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK07", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK07", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK07", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:36","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK07", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK07", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK07", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK07", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK07", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK07", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK07", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK07", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK07", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK07", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:39","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK07", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:39","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:57" ), 
    array("Kod" => "SWK07", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:40","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:43", "Isyak" => "Isyak-19:57" ), 
    array("Kod" => "SWK07", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:40","Zuhur" => "Zuhur-12:43","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:43", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "SWK07", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:07","Subuh" => "Subuh-05:17","Syuruk" => "Syuruk-06:41","Zuhur" => "Zuhur-12:43","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:44", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "SWK07", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:08","Subuh" => "Subuh-05:18","Syuruk" => "Syuruk-06:41","Zuhur" => "Zuhur-12:44","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:44", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "SWK07", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:08","Subuh" => "Subuh-05:18","Syuruk" => "Syuruk-06:42","Zuhur" => "Zuhur-12:44","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:44", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "SWK08", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:45", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:46", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:47", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:23","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:39" ), 
    array("Kod" => "SWK08", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:27","Asar" => "Asar-15:48", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:49", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:40" ), 
    array("Kod" => "SWK08", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:28", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:24","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:28","Asar" => "Asar-15:50", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:41" ), 
    array("Kod" => "SWK08", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:25","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:51", "Maghrib" => "Maghrib-18:29", "Isyak" => "Isyak-19:42" ), 
    array("Kod" => "SWK08", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:55","Subuh" => "Subuh-05:05","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:29","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:26","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:52", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:43" ), 
    array("Kod" => "SWK08", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:30","Asar" => "Asar-15:53", "Maghrib" => "Maghrib-18:30", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:44" ), 
    array("Kod" => "SWK08", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:56","Subuh" => "Subuh-05:06","Syuruk" => "Syuruk-06:27","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK08", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:54", "Maghrib" => "Maghrib-18:31", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK08", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:28","Zuhur" => "Zuhur-12:31","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:45" ), 
    array("Kod" => "SWK08", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:55", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK08", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-04:57","Subuh" => "Subuh-05:07","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:32","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:32", "Isyak" => "Isyak-19:46" ), 
    array("Kod" => "SWK08", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:29","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK08", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:56", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:47" ), 
    array("Kod" => "SWK08", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-04:58","Subuh" => "Subuh-05:08","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:33","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:33", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK08", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:30","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:57", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:48" ), 
    array("Kod" => "SWK08", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:34", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK08", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-04:59","Subuh" => "Subuh-05:09","Syuruk" => "Syuruk-06:31","Zuhur" => "Zuhur-12:34","Asar" => "Asar-15:58", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK08", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:49" ), 
    array("Kod" => "SWK08", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:32","Zuhur" => "Zuhur-12:35","Asar" => "Asar-15:59", "Maghrib" => "Maghrib-18:35", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK08", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:00","Subuh" => "Subuh-05:10","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:50" ), 
    array("Kod" => "SWK08", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:33","Zuhur" => "Zuhur-12:36","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:36", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK08", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:01","Subuh" => "Subuh-05:11","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:00", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:51" ), 
    array("Kod" => "SWK08", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:37","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:37", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK08", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:34","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:01", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:52" ), 
    array("Kod" => "SWK08", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:02","Subuh" => "Subuh-05:12","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:38","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:38", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK08", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:35","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:02", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:53" ), 
    array("Kod" => "SWK08", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:03","Subuh" => "Subuh-05:13","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:39","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:39", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK08", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:36","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:03", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:54" ), 
    array("Kod" => "SWK08", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:04","Subuh" => "Subuh-05:14","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-16:40", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK08", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:37","Zuhur" => "Zuhur-12:40","Asar" => "Asar-16:04", "Maghrib" => "Maghrib-18:40", "Isyak" => "Isyak-19:55" ), 
    array("Kod" => "SWK08", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:05","Subuh" => "Subuh-05:15","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK08", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:38","Zuhur" => "Zuhur-12:41","Asar" => "Asar-16:05", "Maghrib" => "Maghrib-18:41", "Isyak" => "Isyak-19:56" ), 
    array("Kod" => "SWK08", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:06","Subuh" => "Subuh-05:16","Syuruk" => "Syuruk-06:39","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:57" ), 
    array("Kod" => "SWK08", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:07","Subuh" => "Subuh-05:17","Syuruk" => "Syuruk-06:39","Zuhur" => "Zuhur-12:42","Asar" => "Asar-16:06", "Maghrib" => "Maghrib-18:42", "Isyak" => "Isyak-19:57" ), 
    array("Kod" => "SWK08", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:07","Subuh" => "Subuh-05:17","Syuruk" => "Syuruk-06:40","Zuhur" => "Zuhur-12:43","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:43", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "SWK08", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-05:08","Subuh" => "Subuh-05:18","Syuruk" => "Syuruk-06:40","Zuhur" => "Zuhur-12:43","Asar" => "Asar-16:07", "Maghrib" => "Maghrib-18:43", "Isyak" => "Isyak-19:58" ), 
    array("Kod" => "SWK08", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-05:08","Subuh" => "Subuh-05:18","Syuruk" => "Syuruk-06:41","Zuhur" => "Zuhur-12:44","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:44", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "SWK08", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-05:09","Subuh" => "Subuh-05:19","Syuruk" => "Syuruk-06:41","Zuhur" => "Zuhur-12:44","Asar" => "Asar-16:08", "Maghrib" => "Maghrib-18:44", "Isyak" => "Isyak-19:59" ), 
    array("Kod" => "SWK08", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-05:09","Subuh" => "Subuh-05:19","Syuruk" => "Syuruk-06:42","Zuhur" => "Zuhur-12:45","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:45", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "SWK08", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-05:10","Subuh" => "Subuh-05:20","Syuruk" => "Syuruk-06:42","Zuhur" => "Zuhur-12:45","Asar" => "Asar-16:09", "Maghrib" => "Maghrib-18:45", "Isyak" => "Isyak-20:00" ), 
    array("Kod" => "SWK08", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-05:10","Subuh" => "Subuh-05:20","Syuruk" => "Syuruk-06:43","Zuhur" => "Zuhur-12:46","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:46", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "SWK08", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-05:11","Subuh" => "Subuh-05:21","Syuruk" => "Syuruk-06:43","Zuhur" => "Zuhur-12:46","Asar" => "Asar-16:10", "Maghrib" => "Maghrib-18:46", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG01", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG01", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG01", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG01", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG01", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG01", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG01", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG01", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:53","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:01" ), 
    array("Kod" => "TRG01", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG01", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG01", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:50", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG01", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG01", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG01", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG01", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG01", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG01", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG01", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG01", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG01", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG01", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG01", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG01", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG01", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG01", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG01", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG01", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG01", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG01", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG01", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG01", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG01", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG01", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG01", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG01", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG01", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG01", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG01", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG01", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG01", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG01", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG01", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG01", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG01", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "TRG02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "TRG02", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:46","Subuh" => "Subuh-5:56","Syuruk" => "Syuruk-7:18","Zuhur" => "Zuhur-13:15","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "TRG03", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG03", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG03", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG03", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG03", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG03", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG03", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG03", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG03", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG03", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG03", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG03", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG03", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG03", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG03", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG03", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG03", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG03", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG03", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG03", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG03", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG03", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG03", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG03", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG03", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG03", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG03", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-13:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG03", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG03", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-13:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG03", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG03", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-13:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG03", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG03", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-13:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG03", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG03", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-13:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG03", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG03", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-13:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG03", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG03", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-13:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG03", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG03", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-13:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG03", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:43","Subuh" => "Subuh-5:53","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG03", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:16","Zuhur" => "Zuhur-13:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "TRG03", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:44","Subuh" => "Subuh-5:54","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "TRG03", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:45","Subuh" => "Subuh-5:55","Syuruk" => "Syuruk-7:17","Zuhur" => "Zuhur-13:14","Asar" => "Asar-16:36", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:23" ), 
    array("Kod" => "TRG04", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG04", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG04", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:11", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG04", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG04", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:12", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:13", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:14", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:53","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:02" ), 
    array("Kod" => "TRG04", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:15", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:54","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:54","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:03" ), 
    array("Kod" => "TRG04", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:16", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:25","Subuh" => "Subuh-5:35","Syuruk" => "Syuruk-6:55","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:55","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:51", "Isyak" => "Isyak-20:04" ), 
    array("Kod" => "TRG04", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:56","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:17", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:26","Subuh" => "Subuh-5:36","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:57","Zuhur" => "Zuhur-12:56","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:05" ), 
    array("Kod" => "TRG04", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:18", "Maghrib" => "Maghrib-18:52", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:27","Subuh" => "Subuh-5:37","Syuruk" => "Syuruk-6:58","Zuhur" => "Zuhur-12:57","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:06" ), 
    array("Kod" => "TRG04", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:19", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-6:59","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:53", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:28","Subuh" => "Subuh-5:38","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:58","Asar" => "Asar-16:20", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:07" ), 
    array("Kod" => "TRG04", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG04", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:00","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:54", "Isyak" => "Isyak-20:08" ), 
    array("Kod" => "TRG04", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:29","Subuh" => "Subuh-5:39","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-12:59","Asar" => "Asar-16:21", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:01","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:22", "Maghrib" => "Maghrib-18:55", "Isyak" => "Isyak-20:09" ), 
    array("Kod" => "TRG04", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:30","Subuh" => "Subuh-5:40","Syuruk" => "Syuruk-7:02","Zuhur" => "Zuhur-13:00","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG04", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:10" ), 
    array("Kod" => "TRG04", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:03","Zuhur" => "Zuhur-13:01","Asar" => "Asar-16:23", "Maghrib" => "Maghrib-18:56", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG04", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:31","Subuh" => "Subuh-5:41","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:11" ), 
    array("Kod" => "TRG04", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:04","Zuhur" => "Zuhur-13:02","Asar" => "Asar-16:24", "Maghrib" => "Maghrib-18:57", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG04", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:32","Subuh" => "Subuh-5:42","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:12" ), 
    array("Kod" => "TRG04", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:03","Asar" => "Asar-16:25", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG04", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:33","Subuh" => "Subuh-5:43","Syuruk" => "Syuruk-7:05","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:58", "Isyak" => "Isyak-20:13" ), 
    array("Kod" => "TRG04", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:26", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG04", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:06","Zuhur" => "Zuhur-13:04","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-18:59", "Isyak" => "Isyak-20:14" ), 
    array("Kod" => "TRG04", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:34","Subuh" => "Subuh-5:44","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-16:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG04", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:07","Zuhur" => "Zuhur-16:05","Asar" => "Asar-16:27", "Maghrib" => "Maghrib-19:00", "Isyak" => "Isyak-20:15" ), 
    array("Kod" => "TRG04", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:35","Subuh" => "Subuh-5:45","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-16:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG04", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:08","Zuhur" => "Zuhur-16:06","Asar" => "Asar-16:28", "Maghrib" => "Maghrib-19:01", "Isyak" => "Isyak-20:16" ), 
    array("Kod" => "TRG04", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:36","Subuh" => "Subuh-5:46","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-16:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG04", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:09","Zuhur" => "Zuhur-16:07","Asar" => "Asar-16:29", "Maghrib" => "Maghrib-19:02", "Isyak" => "Isyak-20:17" ), 
    array("Kod" => "TRG04", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:37","Subuh" => "Subuh-5:47","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-16:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG04", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:10","Zuhur" => "Zuhur-16:08","Asar" => "Asar-16:30", "Maghrib" => "Maghrib-19:03", "Isyak" => "Isyak-20:18" ), 
    array("Kod" => "TRG04", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:38","Subuh" => "Subuh-5:48","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-16:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG04", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:11","Zuhur" => "Zuhur-16:09","Asar" => "Asar-16:31", "Maghrib" => "Maghrib-19:04", "Isyak" => "Isyak-20:19" ), 
    array("Kod" => "TRG04", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-5:39","Subuh" => "Subuh-5:49","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-16:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG04", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:12","Zuhur" => "Zuhur-16:10","Asar" => "Asar-16:32", "Maghrib" => "Maghrib-19:05", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG04", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-5:40","Subuh" => "Subuh-5:50","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-16:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:20" ), 
    array("Kod" => "TRG04", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:13","Zuhur" => "Zuhur-16:11","Asar" => "Asar-16:33", "Maghrib" => "Maghrib-19:06", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG04", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-5:41","Subuh" => "Subuh-5:51","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-16:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:21" ), 
    array("Kod" => "TRG04", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:14","Zuhur" => "Zuhur-16:12","Asar" => "Asar-16:34", "Maghrib" => "Maghrib-19:07", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "TRG04", "Tarikh" => "31-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-5:42","Subuh" => "Subuh-5:52","Syuruk" => "Syuruk-7:15","Zuhur" => "Zuhur-16:13","Asar" => "Asar-16:35", "Maghrib" => "Maghrib-19:08", "Isyak" => "Isyak-20:22" ), 
    array("Kod" => "WLY02", "Tarikh" => "01-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:22", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "WLY02", "Tarikh" => "02-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "WLY02", "Tarikh" => "03-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "WLY02", "Tarikh" => "04-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "WLY02", "Tarikh" => "05-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "WLY02", "Tarikh" => "06-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "WLY02", "Tarikh" => "07-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "WLY02", "Tarikh" => "08-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "WLY02", "Tarikh" => "09-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "WLY02", "Tarikh" => "10-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "WLY02", "Tarikh" => "11-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "WLY02", "Tarikh" => "12-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "13-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "14-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "15-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "16-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "17-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:23", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "18-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "19-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "20-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "21-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "22-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "23-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "24-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "25-10-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "26-10-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "27-10-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "28-10-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "29-10-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "30-10-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "31-10-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "01-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:24", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "02-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "03-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "04-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:04","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "05-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "06-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "07-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "08-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "09-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:25", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "10-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:05","Zuhur" => "Zuhur-12:04","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "11-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:12" ), 
    array("Kod" => "WLY02", "Tarikh" => "12-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "13-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:36","Subuh" => "Subuh-4:46","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "14-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:06","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:00", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "15-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:26", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "16-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "17-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:05","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:13" ), 
    array("Kod" => "WLY02", "Tarikh" => "18-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:07","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "19-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:37","Subuh" => "Subuh-4:47","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:27", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "20-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "21-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:08","Zuhur" => "Zuhur-12:06","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:14" ), 
    array("Kod" => "WLY02", "Tarikh" => "22-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:01", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "23-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:28", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "24-11-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:38","Subuh" => "Subuh-4:48","Syuruk" => "Syuruk-6:09","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "25-11-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:07","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:15" ), 
    array("Kod" => "WLY02", "Tarikh" => "26-11-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:10","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:29", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "27-11-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:39","Subuh" => "Subuh-4:49","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:02", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "28-11-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:08","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:16" ), 
    array("Kod" => "WLY02", "Tarikh" => "29-11-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:11","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:30", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "WLY02", "Tarikh" => "30-11-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:40","Subuh" => "Subuh-4:50","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:03", "Isyak" => "Isyak-19:17" ), 
    array("Kod" => "WLY02", "Tarikh" => "01-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:12","Zuhur" => "Zuhur-12:09","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "WLY02", "Tarikh" => "02-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:31", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "WLY02", "Tarikh" => "03-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:41","Subuh" => "Subuh-4:51","Syuruk" => "Syuruk-6:13","Zuhur" => "Zuhur-12:10","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:18" ), 
    array("Kod" => "WLY02", "Tarikh" => "04-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:32", "Maghrib" => "Maghrib-18:04", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "WLY02", "Tarikh" => "05-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:19" ), 
    array("Kod" => "WLY02", "Tarikh" => "06-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:42","Subuh" => "Subuh-4:52","Syuruk" => "Syuruk-6:14","Zuhur" => "Zuhur-12:11","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:05", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "WLY02", "Tarikh" => "07-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:33", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "WLY02", "Tarikh" => "08-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:43","Subuh" => "Subuh-4:53","Syuruk" => "Syuruk-6:15","Zuhur" => "Zuhur-12:12","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:20" ), 
    array("Kod" => "WLY02", "Tarikh" => "09-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:34", "Maghrib" => "Maghrib-18:06", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "WLY02", "Tarikh" => "10-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:44","Subuh" => "Subuh-4:54","Syuruk" => "Syuruk-6:16","Zuhur" => "Zuhur-12:13","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:21" ), 
    array("Kod" => "WLY02", "Tarikh" => "11-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:35", "Maghrib" => "Maghrib-18:07", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "WLY02", "Tarikh" => "12-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:17","Zuhur" => "Zuhur-12:14","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:22" ), 
    array("Kod" => "WLY02", "Tarikh" => "13-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:45","Subuh" => "Subuh-4:55","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:36", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "WLY02", "Tarikh" => "14-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:18","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:08", "Isyak" => "Isyak-19:23" ), 
    array("Kod" => "WLY02", "Tarikh" => "15-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:46","Subuh" => "Subuh-4:56","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:15","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "WLY02", "Tarikh" => "16-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:19","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:37", "Maghrib" => "Maghrib-18:09", "Isyak" => "Isyak-19:24" ), 
    array("Kod" => "WLY02", "Tarikh" => "17-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:47","Subuh" => "Subuh-4:57","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:16","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "WLY02", "Tarikh" => "18-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:20","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:38", "Maghrib" => "Maghrib-18:10", "Isyak" => "Isyak-19:25" ), 
    array("Kod" => "WLY02", "Tarikh" => "19-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:48","Subuh" => "Subuh-4:58","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:17","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "WLY02", "Tarikh" => "20-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:21","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:39", "Maghrib" => "Maghrib-18:11", "Isyak" => "Isyak-19:26" ), 
    array("Kod" => "WLY02", "Tarikh" => "21-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:49","Subuh" => "Subuh-4:59","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:18","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "WLY02", "Tarikh" => "22-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:22","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:40", "Maghrib" => "Maghrib-18:12", "Isyak" => "Isyak-19:27" ), 
    array("Kod" => "WLY02", "Tarikh" => "23-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:50","Subuh" => "Subuh-5:00","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:19","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "WLY02", "Tarikh" => "24-12-2011", "Hari" => "Sabtu", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:23","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:41", "Maghrib" => "Maghrib-18:13", "Isyak" => "Isyak-19:28" ), 
    array("Kod" => "WLY02", "Tarikh" => "25-12-2011", "Hari" => "Ahad", "Imsak" => "Imsak-4:51","Subuh" => "Subuh-5:01","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:20","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "WLY02", "Tarikh" => "26-12-2011", "Hari" => "Isnin", "Imsak" => "Imsak-4:52","Subuh" => "Subuh-5:02","Syuruk" => "Syuruk-6:24","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:42", "Maghrib" => "Maghrib-18:14", "Isyak" => "Isyak-19:29" ), 
    array("Kod" => "WLY02", "Tarikh" => "27-12-2011", "Hari" => "Selasa", "Imsak" => "Imsak-4:52","Subuh" => "Subuh-5:02","Syuruk" => "Syuruk-6:25","Zuhur" => "Zuhur-12:21","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "WLY02", "Tarikh" => "28-12-2011", "Hari" => "Rabu", "Imsak" => "Imsak-4:53","Subuh" => "Subuh-5:03","Syuruk" => "Syuruk-6:25","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:43", "Maghrib" => "Maghrib-18:15", "Isyak" => "Isyak-19:30" ), 
    array("Kod" => "WLY02", "Tarikh" => "29-12-2011", "Hari" => "Khamis", "Imsak" => "Imsak-4:53","Subuh" => "Subuh-5:03","Syuruk" => "Syuruk-6:26","Zuhur" => "Zuhur-12:22","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:31" ), 
    array("Kod" => "WLY02", "Tarikh" => "30-12-2011", "Hari" => "Jumaat", "Imsak" => "Imsak-4:54","Subuh" => "Subuh-5:04","Syuruk" => "Syuruk-6:26","Zuhur" => "Zuhur-12:23","Asar" => "Asar-15:44", "Maghrib" => "Maghrib-18:16", "Isyak" => "Isyak-19:31" ), 
    );

        return $waktuSolat;
    }